> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Lease: Rentvine

PUT https://api.propexo.com/v1/leases/rentvine/{lease_id}
Content-Type: application/json

Update Lease: Rentvine

| Interface | Method                              |
| --------- | ----------------------------------- |
| Leases    | POST /api/manager/leases/\{leaseID} |

Reference: https://docs.propexo.com/api-reference/rentvine/leases/update-lease-rentvine

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `lease_id` (string, required) — The Propexo unique identifier for the lease

### Body (application/json)

This endpoint expects a _v1_leases_rentvine_{lease_id}_put_input.

- `move_in_date` (V1LeasesRentvineLeaseIdPutInputMoveInDate, optional) — The move-in date associated with the lease
- `move_out_date` (V1LeasesRentvineLeaseIdPutInputMoveOutDate, optional) — The move-out date associated with the lease
- `scheduled_move_out_date` (V1LeasesRentvineLeaseIdPutInputScheduledMoveOutDate, optional) — The scheduled move-out date associated with the lease
- `start_date` (V1LeasesRentvineLeaseIdPutInputStartDate, optional) — The start date associated with the lease
- `end_date` (V1LeasesRentvineLeaseIdPutInputEndDate, optional) — The end date associated with the lease

## Response

### 200

Successful response

- `meta` (V1LeasesRentvineLeaseIdPutOutputMeta, required)
- `result` (V1LeasesRentvineLeaseIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1LeasesRentvineLeaseIdPutInputMoveInDate

The move-in date associated with the lease

### V1LeasesRentvineLeaseIdPutInputMoveOutDate

The move-out date associated with the lease

### V1LeasesRentvineLeaseIdPutInputScheduledMoveOutDate

The scheduled move-out date associated with the lease

### V1LeasesRentvineLeaseIdPutInputStartDate

The start date associated with the lease

### V1LeasesRentvineLeaseIdPutInputEndDate

The end date associated with the lease

### V1LeasesRentvineLeaseIdPutOutputMeta

- `job_id` (string, required)

### V1LeasesRentvineLeaseIdPutOutputResult

- `lease_id` (string, required) — The Propexo unique identifier for the lease
- `move_in_date` (V1LeasesRentvineLeaseIdPutOutputResultMoveInDate, optional) — The move-in date associated with the lease
- `move_out_date` (V1LeasesRentvineLeaseIdPutOutputResultMoveOutDate, optional) — The move-out date associated with the lease
- `scheduled_move_out_date` (V1LeasesRentvineLeaseIdPutOutputResultScheduledMoveOutDate, optional) — The scheduled move-out date associated with the lease
- `start_date` (V1LeasesRentvineLeaseIdPutOutputResultStartDate, optional) — The start date associated with the lease
- `end_date` (V1LeasesRentvineLeaseIdPutOutputResultEndDate, optional) — The end date associated with the lease

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1LeasesRentvineLeaseIdPutOutputResultMoveInDate

The move-in date associated with the lease

### V1LeasesRentvineLeaseIdPutOutputResultMoveOutDate

The move-out date associated with the lease

### V1LeasesRentvineLeaseIdPutOutputResultScheduledMoveOutDate

The scheduled move-out date associated with the lease

### V1LeasesRentvineLeaseIdPutOutputResultStartDate

The start date associated with the lease

### V1LeasesRentvineLeaseIdPutOutputResultEndDate

The end date associated with the lease

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
  },
  "result": {
    "lease_id": "lease_987654321",
    "move_in_date": "2024-05-01T14:00:00Z",
    "move_out_date": "2025-04-30T11:00:00Z",
    "scheduled_move_out_date": "2025-04-30T11:00:00Z",
    "start_date": "2024-05-01",
    "end_date": "2025-04-30"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leases/rentvine/lease_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leases/rentvine/lease_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leases/rentvine/lease_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leases/rentvine/lease_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/leases/rentvine/lease_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/leases/rentvine/lease_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leases/rentvine/lease_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leases/rentvine/lease_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```